Loading...
Searching...
No Matches
BALL::SolventAtomDescriptor Class Reference
Molecular Modeling » Solvation methods

`#include <BALL/SOLVATION/solventDescriptor.h>`

## Public Member Functions

| SolventAtomDescriptor ()

## Public Attributes

Atom::Type | type
String | element_symbol
float | radius
int | number_of_atoms

## Detailed Description

This struct contains the information for one atom type of the solvent

Definition at line 28 of file solventDescriptor.h.

## Constructor & Destructor Documentation

## SolventAtomDescriptor()

BALL::SolventAtomDescriptor::SolventAtomDescriptor | ( |  | ) |

inline

Definition at line 47 of file solventDescriptor.h.

## Member Data Documentation

## element_symbol

String BALL::SolventAtomDescriptor::element_symbol

Element symbol of the atom

Definition at line 37 of file solventDescriptor.h.

## number_of_atoms

int BALL::SolventAtomDescriptor::number_of_atoms

Number of atoms of this kind within the solvent molecule

Definition at line 45 of file solventDescriptor.h.

## radius

float BALL::SolventAtomDescriptor::radius

Radius of the atom in units of Angstrom

Definition at line 41 of file solventDescriptor.h.

## type

Atom::Type BALL::SolventAtomDescriptor::type

Atom type needed for assignment of Lennard-Jones Parameters

Definition at line 33 of file solventDescriptor.h.